SG_BALL(3)

NAME
SG_Ball - Agar-SG polyhedral sphere approximation

SYNOPSIS

    #include <agar/core.h>
    #include <agar/sg.h>

DESCRIPTION
The SG_Ball node is a polyhedral approximation of a sphere.

INHERITANCE HIERARCHY
AG_Object(3) -> SG_Node(3) -> SG_Object(3) -> SG_Ball.

INITIALIZATION
SG_Ball * SG_BallNew(SG_Node *parent, const char *name, const M_Sphere *sph)

void SG_BallSetSubdiv(SG_Ball *sphere, int subdiv)

The SG_BallNew() function creates a new SG_Ball object under parent, with an initial subdivision count of 1.

The SG_BallSetSubdiv() function regenerates the polyhedral approximation for the specified subdivision count.

STRUCTURE DATA
For the SG_Ball object:

int subdiv
    Subdivision count (1 = Isocahedron)

SEE ALSO
SG(3), SG_Intro(3), SG_Node(3), SG_Object(3)

HISTORY
The SG_Ball node class first appeared in Agar 1.6.0.